ResultMessage.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport.messages

## Enum ResultMessage.Kind

- java.lang.Object
- - java.lang.Enum<ResultMessage.Kind>
  - - org.apache.cassandra.transport.messages.ResultMessage.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResultMessage.Kind>
  Enclosing class:
    ResultMessage

      public static enum ResultMessage.Kind
      extends java.lang.Enum<ResultMessage.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PREPARED`
    `ROWS`
    `SCHEMA_CHANGE`
    `SET_KEYSPACE`
    `VOID`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`
    `Message.Codec<ResultMessage>` | `subcodec`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResultMessage.Kind` | `fromId(int id)`
    `static ResultMessage.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResultMessage.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VOID

          public static final ResultMessage.Kind VOID

    - #### ROWS

          public static final ResultMessage.Kind ROWS

    - #### SET_KEYSPACE

          public static final ResultMessage.Kind SET_KEYSPACE

    - #### PREPARED

          public static final ResultMessage.Kind PREPARED

    - #### SCHEMA_CHANGE

          public static final ResultMessage.Kind SCHEMA_CHANGE

  - ### Field Detail

    - #### id

          public final int id

    - #### subcodec

          public final Message.Codec<ResultMessage> subcodec

  - ### Method Detail

    - #### values

          public static ResultMessage.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultMessage.Kind c : ResultMessage.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultMessage.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromId

          public static ResultMessage.Kind fromId(int id)

Copyright © 2018 The Apache Software Foundation